Skip to content

Get tournaments

GET
/v1/tournaments

Gets a list with tournaments.

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
region

iso country. For F1/Moto use "world"

Type
string
Example"WORLD"
date_start

date start

Type
string
Example"2025-07-10"
date_stop

date stop

Type
string
Example"2025-12-30"
sport_type

Enum: soccer, motorsport, tennis, rugby, darts, horseracing, boxing, other, motogp, formula1, cricket, basketball, combatsport, icehockey, nba, nfl, mlb, watersport, dtm, indycar, superbike, padel, handball, golf, rowing, cycling

Type
string
Example"formula1"
tournament_type

Enum: cup, league, oneoff

Type
string
Example"league"
tournament_name

tournament name

Type
string
Example"Formula 1"
query

flexible search query for tournament names

Type
string
Example"Premier League"
season

Season, for example 2026 or 25/26 depending on sport type

Type
string
Example"2026"
tournament_id
Type
string
Example"8a8bd5e3d98347e68cbe50d31953fcbb_trn"

Responses

OK

application/json
JSON
{
  
"tournaments": [
  
  
{
  
  
  
"tournament_id": "8a8bd5e3d98347e68cbe50d31953fcbb_trn",
  
  
  
"official_name": "Formula 1",
  
  
  
"season": "2026",
  
  
  
"tournament_type": "league",
  
  
  
"region": "WORLD",
  
  
  
"sport_type": "formula1",
  
  
  
"date_start": "2025-07-10T00:00:00",
  
  
  
"date_stop": "2025-12-30T00:00:00",
  
  
  
"created": "2025-04-08T14:03:00",
  
  
  
"updated": "2025-04-08T14:03:00",
  
  
  
"slug": "formula-1-2026",
  
  
  
"number_events": 0,
  
  
  
"ranking": 10
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples